easy_admin:
   site_name: '<a title="Retour vers le site PST." href="https://logistiquevdl-dev.appheb.enedis-grdf.fr:19359/e-bo-pst/public/index.php/pst"<i class="fa fa-arrow-circle-left arrow_back" aria-hidden="true" style="color: green; "></i></a><h1 class="bleu_enedis left_50">PST ADMINISTRATION</h1>'
   design:
        assets:
            css:
                - '/css_admin'
                - '/css_admin_app'
            js:
                - '/js_admin_app'
        menu:
            - { entity: 'AgentPst', icon: 'user' }
            - { entity: 'Compagnon', icon: 'globe' }
            - { entity: 'ManagerPst', icon: 'briefcase' }
   disabled_actions: ['delete']
   entities:
        AgentPst:
            class: App\Entity\AgentPst
            label: 'Agents'
            list:
                sort: ['nom_prenom', 'ASC']
                filters: ['nni', 'nom_prenom', 'geo', 'manager_pst', 'parti']
                fields:
                    - { property: 'nom_prenom', label: 'Nom et prénom' }
                    - { property: 'geo', label: 'B.O.' }
                    - { property: 'nni', label: 'NNI' }
                    - { property: 'manager_pst', label: "Manager" }
                    - { property: 'parti', label: 'Parti' }
            new:
                fields:
                    - { property: 'nom_prenom', label: 'Nom et prénom' }
                    - { property: 'geo', label: 'B.O.' }
                    - { property: 'nni', label: 'NNI' }
                    - { property: 'manager_pst', label: "Manager" }
            edit:
                fields:
                    - { property: 'nom_prenom', label: 'Nom et prénom' }
                    - { property: 'geo', label: 'B.O.' }
                    - { property: 'nni', label: 'NNI' }
                    - { property: 'manager_pst', label: "Manager" }
                    - { property: 'parti', label: 'Parti' }
            search:
                sort: ['nom_prenom', 'ASC']
        Compagnon:
            class: App\Entity\Compagnon
            label: 'Compagnons'
            list:
                sort: ['individu', 'ASC']
                filters: ['individu', 'mail']
                fields:
                    - { property: 'individu', label: 'Agent' }
                    - { property: 'mail', label: 'Mail' }
            new:
                fields:
                    - { property: 'individu', label: 'Agent' }
                    - { property: 'mail', label: 'Mail' }
            edit:
                fields:
                    - { property: 'mail', label: 'Mail' }
            search:
                sort: ['individu', 'ASC']
        ManagerPst:
            class: App\Entity\ManagerPst
            label: 'Managers'
            list:
                sort: ['agent_pst', 'ASC']
                filters: ['agent_pst', 'mail']
                fields:
                    - { property: 'agent_pst', label: 'Agent' }
                    - { property: 'mail', label: 'Mail' }
            new:
                fields:
                    - { property: 'agent_pst', label: 'Agent' }
                    - { property: 'mail', label: 'Mail' }
            edit:
                fields:
                    - { property: 'mail', label: 'Mail' }
            search:
                sort: ['agent_pst', 'ASC']
